<?

	$rootpath = '../';
	require_once '../includes/start.php';
	require_once '../includes/function.php';
	require_once '../includes/header1.php';
	$id_podf=$_GET['id'];
	$o=rand(0,999);
	$t1 = mysql_query("SELECT * FROM `forum_podf` WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($id_podf)))))))."'");
	$t = mysql_fetch_array($t1);
	if($level==0 OR $t['name']=='' OR $ban!=0){
		echo "<title>Доступ закрыт!!!</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok3"><img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь или вы не достигли условий для доступа на страницу!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a></div>';
   }else{
   	echo "<title>Новости игры</title>";
	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
	echo '<div class="razd"></div>';
	div('<a href="index.php"><b>Форум</b></a> | <font color="#4EEE94"><b>'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($t['name']))))))).' ['.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($t['themes']))))))).' тем]</b></font>','top-nav1');
	echo '<div class="razd"></div>';
	echo '<div class="cont"><a href="new_theme.php?id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($id_podf))))))).'">Новая тема</a><br/><a href="?id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($id_podf))))))).'&amp;o='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($o))))))).'">Обновить</a></div>';
	
            $count = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_theme` WHERE `id_podf`='".check(mysql_real_escape_string($id_podf))."';"), 0);
			$PAGINGS = new PAGINGS($elem, "SELECT * FROM `forum_theme` WHERE `id_podf`='".check(mysql_real_escape_string($id_podf))."' ORDER BY `lasttime` DESC");
			if($PAGINGS->count_get > 0)
			{
				while($row = mysql_fetch_array($PAGINGS->get))
				{
					echo '<div class="conts">';
			        if($row['type']==1)echo '<img src="../theme/img/tz.gif" alt="" /> ';
					if($row['type']==0)echo '<img src="../theme/img/op.gif" alt="" /> ';
                    echo '<a href="postlist.php?id='.$row['id'].'">'.$row['name'].'</a> ['.$row['msgs'].' ответов]';
					
					
					echo '</div>'; 
					++$i;
				}
				if($count>$elem)echo $PAGINGS->Links('?id='.check($id_podf).'&amp;'); // вывод меню навигации в аргументе указывать адрес страницы 
			}
			else
			{
				div('В этом подфоруме нет тем!','conts');
			}
		}
			
	echo '<div class="razd"></div>';
	echo '<center><div class="blok2"><a href="../"><b>На Главную</b></a></div></center>';
	echo '<div class="razd"></div>';
	require_once '../includes/footer1.php';
?>